| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CommonArrayHeader Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure CommonArrayHeader defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | CommonArrayHeader ()
| Default constructor.
eProsima_user_DllExport | ~CommonArrayHeader ()
| Default destructor.
eProsima_user_DllExport | CommonArrayHeader (const CommonArrayHeader &x)
| Copy constructor.
eProsima_user_DllExport | CommonArrayHeader (CommonArrayHeader &&x) noexcept
| Move constructor.
eProsima_user_DllExport CommonArrayHeader & | operator= (const CommonArrayHeader &x)
| Copy assignment.
eProsima_user_DllExport CommonArrayHeader & | operator= (CommonArrayHeader &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const CommonArrayHeader &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const CommonArrayHeader &x) const
| Comparison operator.
eProsima_user_DllExport void | bound_seq (const LBoundSeq &_bound_seq)
| This function copies the value in member bound_seq.
eProsima_user_DllExport void | bound_seq (LBoundSeq &&_bound_seq)
| This function moves the value in member bound_seq.
eProsima_user_DllExport const LBoundSeq & | bound_seq () const
| This function returns a constant reference to member bound_seq.
eProsima_user_DllExport LBoundSeq & | bound_seq ()
| This function returns a reference to member bound_seq.

## Detailed Description

This class represents the structure CommonArrayHeader defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ CommonArrayHeader() [1/3]

eProsima_user_DllExport CommonArrayHeader | ( |  | ) |

inline

Default constructor.

## ◆ ~CommonArrayHeader()

eProsima_user_DllExport ~CommonArrayHeader | ( |  | ) |

inline

Default destructor.

## ◆ CommonArrayHeader() [2/3]

eProsima_user_DllExport CommonArrayHeader | ( | const CommonArrayHeader & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object CommonArrayHeader that will be copied.

## ◆ CommonArrayHeader() [3/3]

eProsima_user_DllExport CommonArrayHeader | ( | CommonArrayHeader && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object CommonArrayHeader that will be copied.

## Member Function Documentation

## ◆ bound_seq() [1/4]

eProsima_user_DllExport LBoundSeq & bound_seq | ( |  | ) |

inline

This function returns a reference to member bound_seq.

Returns
  Reference to member bound_seq

## ◆ bound_seq() [2/4]

eProsima_user_DllExport const LBoundSeq & bound_seq | ( |  | ) | const

inline

This function returns a constant reference to member bound_seq.

Returns
  Constant reference to member bound_seq

## ◆ bound_seq() [3/4]

eProsima_user_DllExport void bound_seq | ( | const LBoundSeq & | _bound_seq | ) |

inline

This function copies the value in member bound_seq.

Parameters

  _bound_seq | New value to be copied in member bound_seq

## ◆ bound_seq() [4/4]

eProsima_user_DllExport void bound_seq | ( | LBoundSeq && | _bound_seq | ) |

inline

This function moves the value in member bound_seq.

Parameters

  _bound_seq | New value to be moved in member bound_seq

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const CommonArrayHeader & | x | ) | const

inline

Comparison operator.

Parameters

  x | CommonArrayHeader object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport CommonArrayHeader & operator= | ( | CommonArrayHeader && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object CommonArrayHeader that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport CommonArrayHeader & operator= | ( | const CommonArrayHeader & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object CommonArrayHeader that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const CommonArrayHeader & | x | ) | const

inline

Comparison operator.

Parameters

  x | CommonArrayHeader object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp